Package io.vertx.grpcio.server

## Interface GrpcIoServiceBridge

- All Superinterfaces:
    `Service`

      public interface GrpcIoServiceBridge
      extends Service

  Bridge a gRPC service with a `GrpcServer`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `bind​(GrpcServer server)` | Binds this service and all its registered method handlers to the specified gRPC server.
    `void` | `bind​(GrpcIoServer server)` | Bind all service methods to the @{code server}.
    `static GrpcIoServiceBridge` | `bridge​(BindableService service)` | Create a stub for a given `service`.
    `static GrpcIoServiceBridge` | `bridge​(ServerServiceDefinition service)` | Create a stub for a given `service`.
    `void` | `unbind​(GrpcIoServer server)` | Unbind all service methods from the @{code server}.

    - ### Methods inherited from interface io.vertx.grpc.server.Service

      `descriptor, hasMethod, methodDescriptor, methodDescriptors, name, pathOfMethod`

- - ### Method Detail

    - #### bridge

          static GrpcIoServiceBridge bridge​(ServerServiceDefinition service)

      Create a stub for a given `service`.
      Parameters:
        `service` - the service
      Returns:
        the stub

    - #### bridge

          static GrpcIoServiceBridge bridge​(BindableService service)

      Create a stub for a given `service`.
      Parameters:
        `service` - the service
      Returns:
        the stub

    - #### bind

          void bind​(GrpcIoServer server)

      Bind all service methods to the @{code server}.
      Parameters:
        `server` - the server to bind to

    - #### bind

          default void bind​(GrpcServer server)

      Description copied from interface: `Service`
      Binds this service and all its registered method handlers to the specified gRPC server. This allows the server to handle requests for this service.
      Specified by:
        `bind` in interface `Service`
      Parameters:
        `server` - the gRPC server to bind this service to

    - #### unbind

          void unbind​(GrpcIoServer server)

      Unbind all service methods from the @{code server}.
      Parameters:
        `server` - the server to unbind from